| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyboardManager Struct Reference

## Public Attributes
GObject | parent_instance
FlKeyboardManagerLookupKeyHandler | lookup_key_handler
gpointer | lookup_key_handler_user_data
GPtrArray * | redispatched_key_events
FlKeyEmbedderResponder * | key_embedder_responder
FlKeyChannelResponder * | key_channel_responder
FlKeyboardLayout * | derived_layout
std::unique_ptr< std::map< uint16_t, const LayoutGoal * > > | keycode_to_goals
std::unique_ptr< std::map< uint64_t, const LayoutGoal * > > | logical_to_mandatory_goals
GdkKeymap * | keymap
gulong | keymap_keys_changed_cb_id
GCancellable * | cancellable

## Detailed Description

Definition at line 83 of file fl_keyboard_manager.cc.

## Member Data Documentation

## ◆ cancellable

GCancellable* _FlKeyboardManager::cancellable

Definition at line 118 of file fl_keyboard_manager.cc.

## ◆ derived_layout

FlKeyboardLayout* _FlKeyboardManager::derived_layout

Definition at line 101 of file fl_keyboard_manager.cc.

## ◆ key_channel_responder

FlKeyChannelResponder* _FlKeyboardManager::key_channel_responder

Definition at line 94 of file fl_keyboard_manager.cc.

## ◆ key_embedder_responder

FlKeyEmbedderResponder* _FlKeyboardManager::key_embedder_responder

Definition at line 92 of file fl_keyboard_manager.cc.

## ◆ keycode_to_goals

std::unique_ptr<std::map<uint16_t, const LayoutGoal*> > _FlKeyboardManager::keycode_to_goals

Definition at line 106 of file fl_keyboard_manager.cc.

## ◆ keymap

GdkKeymap* _FlKeyboardManager::keymap

Definition at line 114 of file fl_keyboard_manager.cc.

## ◆ keymap_keys_changed_cb_id

gulong _FlKeyboardManager::keymap_keys_changed_cb_id

Definition at line 115 of file fl_keyboard_manager.cc.

## ◆ logical_to_mandatory_goals

std::unique_ptr<std::map<uint64_t, const LayoutGoal*> > _FlKeyboardManager::logical_to_mandatory_goals

Definition at line 112 of file fl_keyboard_manager.cc.

## ◆ lookup_key_handler

FlKeyboardManagerLookupKeyHandler _FlKeyboardManager::lookup_key_handler

Definition at line 86 of file fl_keyboard_manager.cc.

## ◆ lookup_key_handler_user_data

gpointer _FlKeyboardManager::lookup_key_handler_user_data

Definition at line 87 of file fl_keyboard_manager.cc.

## ◆ parent_instance

GObject _FlKeyboardManager::parent_instance

Definition at line 84 of file fl_keyboard_manager.cc.

## ◆ redispatched_key_events

GPtrArray* _FlKeyboardManager::redispatched_key_events

Definition at line 90 of file fl_keyboard_manager.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_keyboard_manager.cc